API referenceWhatsApp
POST /phone-numbers/{id}/whatsapp/calling
Enable Business Calling and forward calls to forwardTo
POST
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringBought number id (GET /whatsapp/numbers) or the WhatsApp account id
application/json- body
accountId*stringWhatsApp account id
forwardTo*stringtel:+E164, sip:user@host or wss://host
sipAuthUsername?string|nullsipAuthPassword?|Stored encrypted, never returned
recordingEnabled?booleancallIconCountries?array<any>|nullmaxCallDurationSeconds?|Range
30 <= value <= 14400forwardCallerId?stringValue in
"business""caller"{success, callingEnabled, sipHostname, forwardTo, callerIdMode}
application/json- response
success?booleancallingEnabled?booleansipHostname?stringforwardTo?stringcallerIdMode?stringcurl -X POST 'https://example.com/api/v1/phone-numbers/string/whatsapp/calling' \ -H 'Content-Type: application/json' \ -d '{ "accountId": "string", "forwardTo": "string"}'Example Response
{ "success": true, "callingEnabled": true, "sipHostname": "string", "forwardTo": "string", "callerIdMode": "string"}